.aqu-product_archive__top_picks {
  border-top: 1px solid var(--color-border);
  border-bottom: 1px solid var(--color-border);
  padding: 2rem 0 1.5rem 0;
}
@media (min-width: 900px) {
  .aqu-product_archive__filter_button {
    display: none;
  }
}
.aqu-product_archive__container {
  display: grid;
  grid-template-columns: minmax(0, 1fr);
  align-items: flex-start;
}
@media (min-width: 900px) {
  .aqu-product_archive__container {
    grid-template-columns: 250px minmax(0, 1fr);
  }
}
.aqu-product_archive__sidebar {
  display: flex;
  position: fixed;
  justify-content: flex-end;
  top: 0;
  right: 0;
  height: 100%;
  width: 100%;
  background: var(--color-overlay);
  z-index: 5;
  opacity: 0;
  transition: opacity 0.3s ease-out;
  pointer-events: none;
}
@media (min-width: 900px) {
  .aqu-product_archive__sidebar {
    display: contents;
  }
}
.aqu-product_archive__sidebar--show {
  pointer-events: auto;
  opacity: 1;
}
.aqu-product_archive-filters {
  background: var(--color-background-secondary-dark);
  width: 85%;
  display: grid;
  grid-template-rows: max-content 1fr max-content;
  transform: translateX(100%);
  transition: transform 0.3s ease-out;
  pointer-events: none;
  position: relative;
}
@media (min-width: 900px) {
  .aqu-product_archive-filters {
    background: none;
    display: block;
    transform: unset;
    pointer-events: auto;
    height: auto;
    width: auto;
    right: auto;
  }
}
.aqu-product_archive-filters::after {
  display: none;
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.5);
}
body:has(.products .wpfPreview.wpfPreviewLoader) .aqu-product_archive-filters::after {
  display: block;
}

body:has(.products .wpfPreview.wpfPreviewLoader.wpfHidden) .aqu-product_archive-filters::after {
  display: none;
}

.aqu-product_archive-filters__filters {
  padding: 1rem;
  overflow-y: auto;
  box-shadow: inset 0 10px 10px -10px rgba(0, 0, 0, 0.2), inset 0 -10px 10px -10px rgba(0, 0, 0, 0.2);
}
@media (min-width: 900px) {
  .aqu-product_archive-filters__filters {
    background: var(--color-background-secondary);
    overflow-y: unset;
    box-shadow: unset;
  }
}
.aqu-product_archive-filters__header {
  padding: 1rem;
  background: var(--color-background-secondary-dark);
}
.aqu-product_archive-filters__header:not(:has(.wpfSelectedParameter)) .aqu-product_archive-filters__chosen_headline {
  display: none;
}
@media (min-width: 900px) {
  .aqu-product_archive-filters__header:not(:has(.wpfSelectedParameter)) {
    display: none;
  }
}
@media (min-width: 900px) {
  .aqu-product_archive-filters__headline {
    display: none;
  }
}
@media (min-width: 900px) {
  .aqu-product_archive-filters__title {
    display: none;
  }
}
.aqu-product_archive-filters__buttons {
  padding: 1rem;
  background: var(--color-background-secondary);
}
@media (min-width: 900px) {
  .aqu-product_archive-filters__buttons {
    display: none;
  }
}
.aqu-product_archive__sidebar--show .aqu-product_archive-filters {
  transform: translateX(0);
  pointer-events: auto;
}

.aqu-product_archive-card {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  width: 100%;
}
.aqu-product_archive-card__image_wrap {
  overflow: hidden;
  border-radius: var(--box-radius-m);
  display: flex;
}
.aqu-product_archive-card__image {
  width: 100%;
  transition: 0.3s ease-out;
  height: 160px;
  object-fit: cover;
}
.aqu-product_archive-card:hover .aqu-product_archive-card__image {
  transform: scale(1.1);
}

.aqu-product_archive__grid {
  column-gap: 0.5rem;
  row-gap: 0.7rem;
  grid-template-columns: 1fr;
}
@media (min-width: 350px) {
  .aqu-product_archive__grid {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media (min-width: 840px) {
  .aqu-product_archive__grid {
    row-gap: 0.5rem;
    grid-template-columns: repeat(3, 1fr);
  }
}
@media (min-width: 900px) {
  .aqu-product_archive__grid {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media (min-width: 1120px) {
  .aqu-product_archive__grid {
    grid-template-columns: repeat(3, 1fr);
  }
}
@media (min-width: 1300px) {
  .aqu-product_archive__grid {
    grid-template-columns: repeat(4, 1fr);
  }
}
.aqu-product_archive__toolbar {
  display: grid;
  column-gap: 0.5rem;
  row-gap: 1rem;
  grid-template-columns: 1fr max-content;
  justify-items: baseline;
  margin-bottom: 0.2rem;
}
.aqu-product_archive__count {
  color: var(--color-text-light);
  grid-column: span 2;
}
@media (min-width: 900px) {
  .aqu-product_archive__count {
    grid-column: auto;
  }
}
.aqu-product_archive__ordering {
  display: flex;
  flex-wrap: wrap;
  column-gap: 0.3rem;
  align-items: center;
  color: var(--color-text);
}
.aqu-product_archive__ordering select {
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  background: none;
  border: none;
  padding: 0.5rem 1.2rem 0.5rem 0;
  font-family: var(--font-family);
  font-size: 1rem;
  line-height: 1;
  color: var(--color-text-light);
  cursor: pointer;
  position: relative;
  background-image: url("data:image/svg+xml;utf8,<svg opacity='.6' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' height='10' viewBox='0 0 24 24' width='10' xmlns='http://www.w3.org/2000/svg'><polyline points='6 9 12 15 18 9'/></svg>");
  background-repeat: no-repeat;
  background-position: right 0 center;
  background-size: 16px 16px;
  transition: 0.2s;
}
.aqu-product_archive__ordering select:hover {
  color: var(--color-text);
}
.aqu-product_archive__ordering select:focus {
  outline: none;
  color: var(--color-text);
}

.wpfFilterWrapper .wpfDisplay {
  display: inline;
}
.wpfFilterWrapper .wfpTitle {
  font-weight: var(--font-weight-bold);
  margin: 1.2rem 0 1rem 0;
  border-top: 1px solid var(--color-border);
  padding-top: 1rem;
}
.wpfFilterWrapper .wpfCheckbox input {
  border: 1px solid var(--color-text-light);
  width: 16px;
  height: 16px;
  border-radius: 4px;
  margin: 0;
  position: relative;
  cursor: pointer;
  background-color: transparent;
  transition: background-color 0.2s, border-color 0.2s;
  accent-color: var(--color-secondary);
}
.wpfFilterWrapper .wpfCheckbox input:checked {
  border-color: var(--color-primary);
  background-color: var(--color-primary);
}
.wpfFilterWrapper .wpfCheckbox input:checked::before {
  transform: rotate(45deg) scale(1);
}
.wpfFilterWrapper .wpfLiLabel {
  display: flex;
  gap: 0.5rem;
  align-items: center;
  cursor: pointer;
  transition: 0.2s;
}
.wpfFilterWrapper .wpfLiLabel:has(input:checked) {
  color: var(--color-primary);
}
.wpfFilterWrapper .wpfFilterVerScroll {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}
@media (min-width: 900px) {
  .wpfFilterWrapper .wpfFilterVerScroll {
    gap: 0.3rem;
  }
}
.wpfFilterWrapper .wpfCount {
  padding-left: 0.2rem;
  font-variant-ligatures: none;
  font-size: 0.9rem;
  color: var(--color-text-light);
}

.wpfFilterContent {
  margin-top: 0.5rem;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.wpfSrOnly {
  display: none;
}

/* Slider track */
#wpfSliderRange.ui-slider {
  height: 6px;
  background: var(--color-border);
  border-radius: 6px;
  position: relative;
  width: calc(100% - 1rem);
  margin-left: 0.5rem;
}

.wpfVisibleBufferMin, .wpfVisibleBufferMax {
  display: none;
}

/* Slider handles */
#wpfSliderRange .ui-slider-handle {
  position: absolute;
  width: 18px;
  height: 18px;
  background: var(--color-background);
  border-radius: 50%;
  border: 2px solid var(--color-background);
  top: 50%;
  transform: translate(-45%, -50%);
  cursor: grab;
  transition: background 0.2s, border-color 0.2s;
}
#wpfSliderRange .ui-slider-handle:last-child {
  transform: translate(-55%, -50%);
}
#wpfSliderRange .ui-slider-handle:hover, #wpfSliderRange .ui-slider-handle:focus {
  background: var(--color-primary);
}

.wpfPriceInputs {
  display: flex;
  gap: 0.5rem;
  font-size: 1rem;
  align-items: center;
}
.wpfPriceInputs input.wpfPriceRangeField {
  width: 100% !important;
  background: var(--color-background);
  border: 1px solid var(--color-border);
  border-radius: 0.5rem;
  padding: 0.3rem 0 0.3rem 0.8rem;
  text-align: center;
}

.wpfLoaderLayout {
  background-color: transparent !important;
}

.wpfPreviewLoader {
  grid-column: span 4;
  min-height: 200px;
  display: flex;
  align-items: center;
  justify-content: center;
}

div.wpfSelectedParameters {
  padding: 0;
  display: flex;
  flex-wrap: wrap;
  gap: 0.3rem;
}

.wpfHidden {
  display: none !important;
}

div.wpfSelectedParameter {
  background: var(--color-secondary) !important;
  border-radius: var(--box-radius-s);
  margin: 0 !important;
  color: var(--color-background);
  line-height: 0.8;
  display: flex;
  gap: 0;
  align-items: center;
  padding-left: 0.4rem;
}

div.wpfSelectedDelete {
  font-size: 0.9rem;
  line-height: 0.8;
  padding: 0.4rem 0.4rem 0.5rem 0.4rem;
  order: 2;
  transform: scaleY(0.8);
  cursor: pointer;
}
div.wpfSelectedDelete:hover + .wpfSelectedTitle {
  text-decoration: line-through;
}

.wpfMoreHidden {
  display: none !important;
}

.wpfShowMoreWrapper, .wpfShowFewerWrapper {
  color: var(--color-primary);
  margin-top: 0.3rem;
  cursor: pointer;
  transition: 0.2s;
}
.wpfShowMoreWrapper:hover, .wpfShowFewerWrapper:hover {
  color: var(--color-primary-hover);
}

.fa.fa-spinner, .woobewoo-filter-loader {
  width: 50px;
  aspect-ratio: 1;
  border-radius: 50%;
  border: 5px solid var(--color-text);
  opacity: 0.2;
  animation: l20-1 0.8s infinite linear alternate, l20-2 1.6s infinite linear;
}

@keyframes l20-1 {
  0% {
    clip-path: polygon(50% 50%, 0 0, 50% 0%, 50% 0%, 50% 0%, 50% 0%, 50% 0%);
  }
  12.5% {
    clip-path: polygon(50% 50%, 0 0, 50% 0%, 100% 0%, 100% 0%, 100% 0%, 100% 0%);
  }
  25% {
    clip-path: polygon(50% 50%, 0 0, 50% 0%, 100% 0%, 100% 100%, 100% 100%, 100% 100%);
  }
  50% {
    clip-path: polygon(50% 50%, 0 0, 50% 0%, 100% 0%, 100% 100%, 50% 100%, 0% 100%);
  }
  62.5% {
    clip-path: polygon(50% 50%, 100% 0, 100% 0%, 100% 0%, 100% 100%, 50% 100%, 0% 100%);
  }
  75% {
    clip-path: polygon(50% 50%, 100% 100%, 100% 100%, 100% 100%, 100% 100%, 50% 100%, 0% 100%);
  }
  100% {
    clip-path: polygon(50% 50%, 50% 100%, 50% 100%, 50% 100%, 50% 100%, 50% 100%, 0% 100%);
  }
}
@keyframes l20-2 {
  0% {
    transform: scaleY(1) rotate(0deg);
  }
  49.99% {
    transform: scaleY(1) rotate(135deg);
  }
  50% {
    transform: scaleY(-1) rotate(0deg);
  }
  100% {
    transform: scaleY(-1) rotate(-135deg);
  }
}